Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.openpgp
Class PGPKeyRingCertStoreParameters

    java.lang.Object
      cryptix.openpgp.PGPKeyRingCertStoreParameters

All Implemented Interfaces:
  java.security.cert.CertStoreParameters, java.lang.Cloneable

public class PGPKeyRingCertStoreParameters
extends java.lang.Object
implements java.security.cert.CertStoreParameters

Certstore parameters for a keyring

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt

Constructor Summary
`PGPKeyRingCertStoreParameters(java.io.File file)`
`PGPKeyRingCertStoreParameters(java.lang.String filename)`

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this object.
`boolean` | `equals(java.lang.Object other)` Compares this object to another one
`java.io.File` | `getFile()` Returns the file representing the keyring
`int` | `hashCode()` Returns a hash code for this object
`java.lang.String` | `toString()` Returns a string representation of this object

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PGPKeyRingCertStoreParameters

    public PGPKeyRingCertStoreParameters(java.lang.String filename)

### PGPKeyRingCertStoreParameters

    public PGPKeyRingCertStoreParameters(java.io.File file)

Method Detail

### clone

    public java.lang.Object clone()

  Returns a clone of this object.

  Specified by:
    `clone` in interface `java.security.cert.CertStoreParameters`

### getFile

    public java.io.File getFile()

  Returns the file representing the keyring

### equals

    public boolean equals(java.lang.Object other)

  Compares this object to another one

### hashCode

    public int hashCode()

  Returns a hash code for this object

### toString

    public java.lang.String toString()

  Returns a string representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.